package com.wd.workoffice.app;



import org.json.JSONObject;

import io.reactivex.Observable;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Query;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface ApiService {
    String DOMAIN = Config.DEBUG ? "http://121.36.41.30:9001/" : "http://zwang.bat100.net.cn:8000/";



    //用户信息User information http://zwang.bat100.net.cn:8000/sys/user/userInfo
    public static final String USER_INFORMATION = "sys/user/userInfo";
    //注册http://47.105.222.231:3000/mock/23/open/sys/user/register
    public static final String BASE_URL_REGISTER = "mock/23/open/sys/user/register";
    //登录http://115.29.67.166:9000/login?grant_type=userNew
    public static final String BASE_URL_LOGIN = "login?grant_type=userNew";
    //产品分页 product/app/page/list?soleCode=1&simpleCode=1&name=1&ofKind=RM
    public static final String URL_CHANPIN_FY = "product/app/page/list";
    //产品：修改价格
    public static final String URL_UPDATE_PRICE = "product/price";
    //产品：上下架
    public static final String URL_UP_DOWN = "product/app/shelf";
    //往来http://115.29.67.166:9000/transitpart/app/page/list
    public static final String DEALINGS_PAGE_URL = "transitpart/app/page/list";
    //往来详情http://115.29.67.166:9000/transitpart/42
    public static final String DEALINGS_ESSENTIAL_INFORMATION = "transitpart/";
    //往来搜索http://115.29.67.166:9000/transitpart/search-list?name=江苏&searchType=CUSTOMER
    public static final String DEALINGS_ES_SEARCH = "transitpart/search-list";

    //部门账户http://115.29.67.166:9000/dept-account-balance/app/account-balance-info
    public static final String SECTOR_ACCOUNTS_URL = "dept-account-balance/app/account-balance-info";
    //账户流水http://115.29.67.166:9000/finance/flow/page/list  Account flow
    public static final String SECTOR_ACCOUNT_FLOW = "finance/flow/page/list";
    //账户流水http://115.29.67.166:9000/finance/flow/page/list
    public static final String SECTOR_VIEW_PIPING_ADAPTER = "finance/flow/page/list";

    //财务
    //app端获取当前用户部门账户的流水http://115.29.67.166:9000/finance/flow/app/shelf/page/list
    public static final String SECTOR_VIEW_DETAILS = "finance/flow/app/shelf/page/list";
    //获取所有部门账户列表（分页）http://115.29.67.166:9000/dept-account-balance/page/list
    public static final String FINACE_all_ACCOUNTS_URL = "dept-account-balance/page/list";
    //修改解冻冻结http://115.29.67.166:9000/dept-account-balance/balance
    public static final String AVAILABLE_YUEBEAN = "dept-account-balance/balance";
    //修改全部冻结解冻http://115.29.67.166:9000/dept-account-balance/app/shelf/balance
    public static final String SECTOR_WHOLE_BEAN = "dept-account-balance/app/shelf/balance";

    //创库http://115.29.67.166:9000/stock/page/list?current=1&size=6
    public static final String URL_CK_LIBIAO_TYPE = "stock/page/list";
    //http://115.29.67.166:9000/stockQuantity/app/page/list?stockId=7&current=1&size=3
    public static final String URL_CKLIEBIAO_DEALINGS = "stockQuantity/app/page/list";
    //库存详情http://115.29.67.166:9000/stockQuantityDetail/app/page/list
    public static final String URL_KUCUN_TYPE1 = "stockQuantityDetail/app/page/list";
    //库存流水明细http://115.29.67.166:9000/stockQuantityDetailFlow/page/list?sqdId=70
    public static final String URL_KUCUN_DETAILFLOW_TYPE1 = "stockQuantityDetailFlow/page/list";
    //http://115.29.67.166:9000/stockQuantityFlow/page/list?sqId=58&current=1&size=10
    public static final String STOCK_NUMBER_FLOWING = "stockQuantityFlow/page/list";
    //仓库类别
    public static final String CK_TYPE_EQ = "stockType/app/search/list";

    //设备
    //设备列表
    public static final String URL_SB_SHEBEI = "equipment/page/list";
    //设备备件
    public static final String URL_SB_SHEBEI_BEIJIAN = "spare-part/page/list";

    //部门http://115.29.67.166:9000/sys/dept/list
    public static final String URL_BM_BUMEN_LIEBIAO = "sys/dept/list";
    //部门详情http://115.29.67.166:9000/sys/dept/1
    public static final String URL_BM_XIANG_QING = "sys/dept/";
    //设置部门管理员http://115.29.67.166:9000/sys/dept/ruler
    public static final String URL_BM_GUANLI_YUAN = "sys/dept/ruler";

    //返回选择客户http://115.29.67.166:9000/transitpart/page/list/current-user/part-type?partTypeCode=CUSTOMER
    public static final String HOME_SELECT_CUSTOMERS = "transitpart/page/list/current-user/part-type";
    //根据权限获取生产厂
    public static final String HOME_SELECT_AOTHORITY = "sub-process/dept-list";
    //销售：子流程列表查询        Sub process sales        ：http://115.29.67.166:9000/sub-process/list?processCode=PROCESS_SALE&deptId=119
    public static final String SUB_PROCESS_SALES = "sub-process/list";
    //销售： 产品加入购物车  Sale_Shopping_CartBean  http://115.29.67.166:9000/product/page/list/by/outDept/transit-part?outDeptId=119&transitPartId=41&processType=PROCESS_SALE&searchValue
    public static final String SUB_SHOPPING_CARBEAN = "product/page/list/by/outDept/transit-part";
    //根据部门、流程、往来单位获取子流程http://zwang.bat100.net.cn:8000/sub-process/listByDPT?processCode=PROCESS_SALE&transitPartId=41
    public static final String ORDER_ZILIUCHENG="sub-process/listByDPT";

    //销售http://zwang.bat100.net.cn:8000/saleOrder/current-user/page/list?identity=2&current=1&size=100
    public static final String BUYER_SALES_ORDER = "saleOrder/current-user/page/list";
    //分厂 http://115.29.67.166:9000/customer-branch-factory/page/init
    public static final String FEN_CHANGXUN_URL = "customer-branch-factory/page/init";
    //销售下单：http://zwang.bat100.net.cn:8000/saleOrder/start  Sales order
    public static final String SALES_ORDER = "saleOrder/start";

    //4.订单部分获取单个订单的详细信息(路由)
    public static final String ORDER_SALES_DETAILS="saleOrder/oneInfo/";
    //弹窗驳回同意审核
    public static final String ORDER_SALEORDER_AUDIT="saleOrder/audit/";
    //弹窗驳回同意接单
    public static final String ORDER_SALE_ORDER_APPLY="saleOrder/apply/";
    //获取发起入库申请
    public static final String ORDER_PROCEDURE_START_SO="procedureStart/so/applyStock/";
    //入库申请列表展示http://zwang.bat100.net.cn:8000/enterStoreApply/so/app/page/list?orderId=SO10628&orderType=4ae3333eebc5423e8a72e388e12fc42f&productId=504
    public static final String ORDER_ENTERSTOREaPPLY_SO_APP="enterStoreApply/so/app/page/list";
   /* //发货http://zwang.bat100.net.cn:8000/procedureStart/so/applyOutStock/SO10628
    public static final String ORDER_APPLY_OUT_STOCK="procedureStart/so/applyOutStock/";*/



    @POST("/app/account/send-reg-msg")
    Observable<JSONObject> code(@Query("phoneNo") String account);

    /**
     * 发送登录验证码（app）
     *
     * @param phoneNo
     * @return
     */
    @POST("/app/account/send-pwd-msg")
    Observable<JSONObject> loginCode(@Query("phoneNo") String phoneNo);

    /**
     * 发送重置密码验证码（app）
     *
     * @param phoneNo
     * @return
     */
    @POST("/app/account/send-reset-pwd-msg")
    Observable<JSONObject> resetCode(@Query("phoneNo") String phoneNo);

    @POST("/app/account/register")
    Observable<JSONObject> register(@Query("phoneNo") String phoneNo, @Query("password") String pwd, @Query("code") String code);

    /**
     * 修改密码（app）
     *
     * @param phoneNo
     * @param pwd
     * @return
     */
    @PUT("admin/account/change-pwd")
    Observable<JSONObject> modifyPwd(@Query("oldPass") String phoneNo, @Query("newPass") String pwd);

    /**
     * 重置密码(app)
     *
     * @param phoneNo
     * @param pwd
     * @return
     */
    @PUT("/app/account/reset-pwd")
    Observable<JSONObject> resetPwd(@Query("phoneNo") String phoneNo, @Query("password") String pwd);
}
