package com.wd.workoffice.ui.login;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;

import com.wd.workoffice.R;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import flexible.xd.android_base.base.BaseActivity;

/*
 * 注释：关于登录页
 * */
public class LoginActivity extends BaseActivity {


    @BindView(R.id.rb_pwd)
    RadioButton rbPwd;
    @BindView(R.id.rb_phone)
    RadioButton rbPhone;
    @BindView(R.id.rg_RadioGroup)
    RadioGroup rgRadioGroup;
    @BindView(R.id.et_account)
    EditText etAccount;
    @BindView(R.id.dl_Relative2)
    LinearLayout dlRelative2;
    @BindView(R.id.ll_pwd)
    LinearLayout llPwd;
    @BindView(R.id.et_phone)
    EditText etPhone;
    @BindView(R.id.et_code)
    EditText etCode;
    @BindView(R.id.tv_code)
    TextView tvCode;
    @BindView(R.id.ll_phone)
    LinearLayout llPhone;
    @BindView(R.id.btn_login)
    Button btnLogin;
    @BindView(R.id.et_password)
    EditText etPassword;
    @BindView(R.id.tv_forget)
    TextView tvForget;
    @BindView(R.id.tv_register)
    TextView tvRegister;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
    }

    @Override
    public void initData() {
    }

    @Override
    protected void initEvent() {

    }

    @Override
    protected int layoutId() {
        return R.layout.activity_login;
    }

    private void initViewData() {
//        //2.《忘记密码》
//        mForgetpassword.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                ToastUtils.showShortToast(MainActivity.this, "忘记密码");
//                startActivity(new Intent(MainActivity.this, Main3Activity.class));
//            }
//        });
//        //3.《没有账号立即注册》
//        mRegister.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                startActivity(new Intent(MainActivity.this, RegisterFirstActivity.class));//Zhengwang_Bat_MesActivity
//            }
//        });
    }


    private void getView() {
//        //密码登录点击
//        mRbntPassword.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                mLinearPassword.setVisibility(View.VISIBLE);//显示
//                mLinearPhone.setVisibility(View.GONE);//隐藏
//            }
//        });
//        //手机号验证码登录
//        mRbntPhone.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//
//            }
//        });
//        mBanck.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                finish();
//            }
//        });
    }


    @OnClick({R.id.rb_pwd, R.id.rb_phone, R.id.btn_login,R.id.tv_code, R.id.tv_forget, R.id.tv_register})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.rb_pwd:
                llPhone.setVisibility(View.GONE);//显示
                llPwd.setVisibility(View.VISIBLE);//隐藏
                break;
            case R.id.rb_phone:
                llPwd.setVisibility(View.GONE);//显示
                llPhone.setVisibility(View.VISIBLE);//隐藏
                break;
            case R.id.tv_code:
                break;
            case R.id.btn_login:
//                String mAccNumbers = mAccountNumber.getText().toString();//注册账号
//                String mAccNumberPwds = mAccountNumberPwd.getText().toString();//输入账号密码
//                HashMap<String, Object> map = new HashMap<>();
//                map.put("principal", mAccNumbers);//账号
//                map.put("credentials", mAccNumberPwds);//密码
//                map.put("clientId", "android");//web、ios、android（自行对应选择
//                map.put("clientSecret", "android");
//                //登录请求接口
//                presenter.postBodyMethod(MyApi.BASE_URL_LOGIN, map, LoginBean.class);
                break;
            case R.id.tv_forget:
                break;
            case R.id.tv_register:
                startActivity(RegisterFirstActivity.class);
                break;
        }
    }


}
